Trigger a Selective release

Facets Deployment Controller API: POST endpoint to trigger a selective release, deploying only the chosen application resources in an environment cluster.

POST
/cc-ui/v1/clusters/{clusterID}/deployments/recipes/deployment/hotfix

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

clusterId*string

Query Parameters

allowDestroy?boolean
Defaultfalse
withRefresh?boolean
Defaultfalse
forceRelease?boolean
Defaultfalse
comment?string
isPlan?boolean
Defaultfalse
canQueue?boolean
Defaultfalse
releaseTraceId?string

Unique identifier of the release that you can search it with

skipStateCheck?boolean
Defaultfalse
allowPreviewModules?boolean
Defaultfalse

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://facetsdemo.console.facets.cloud/cc-ui/v1/clusters/{clusterID}/deployments/recipes/deployment/hotfix" \  -H "Content-Type: application/json" \  -d '{}'
{
  "allowDestroy": true,
  "allowPreviewModules": true,
  "appDeployments": [
    {
      "appName": "string",
      "artifact": {
        "applicationName": "string",
        "appliedRuleId": "string",
        "appliedRuleName": "string",
        "appliedRuleVersionId": "string",
        "artifactUri": "string",
        "artifactory": "string",
        "buildDescription": "string",
        "buildId": "string",
        "changeLog": "string",
        "classified": true,
        "clusterId": "string",
        "createdBy": "string",
        "createdOn": "2019-08-24T14:15:22Z",
        "creationDate": "2019-08-24T14:15:22Z",
        "id": "string",
        "lastModifiedBy": "string",
        "lastModifiedDate": "2019-08-24T14:15:22Z",
        "metadata": {
          "property1": "string",
          "property2": "string"
        },
        "promoted": true,
        "registrationType": "ENVIRONMENT",
        "registrationValue": "string",
        "releaseStream": "string",
        "releaseType": "HOTFIX",
        "repositoryName": "string",
        "tag": "string",
        "versioningKey": "string"
      }
    }
  ],
  "approvedReleaseId": "string",
  "changesApplied": [
    {
      "resourceKey": "string",
      "resourcePath": "string",
      "type": "Destruction"
    }
  ],
  "codebuildId": "string",
  "crdDeploymentDetails": {
    "phases": [
      "string"
    ],
    "releaseNamespace": "string",
    "releaseTemplateName": "string"
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "currentPhase": "string",
  "deploymentContextFilePath": "string",
  "deploymentContextVersion": "string",
  "deploymentJobType": "CODEBUILD",
  "deploymentType": "REGULAR",
  "description": "string",
  "errorLogs": [
    {
      "description": "string",
      "errorMessage": "string",
      "resolution": "string",
      "stackTrace": "string"
    }
  ],
  "finishedOn": "2019-08-24T14:15:22Z",
  "forceRelease": true,
  "hotfixResources": [
    {
      "resourceName": "string",
      "resourceType": "string"
    }
  ],
  "id": "string",
  "integrationTest": true,
  "isDestroy": true,
  "labelIds": [
    "string"
  ],
  "migrationScriptsRun": [
    {
      "clouds": [
        "string"
      ],
      "description": "string",
      "downtime": true,
      "sequenceNumber": 0
    }
  ],
  "overrideBuildSteps": [
    "string"
  ],
  "parallelRelease": true,
  "phaseLogs": {
    "property1": "string",
    "property2": "string"
  },
  "releaseComment": "string",
  "releaseReviewedBy": "string",
  "releaseTraceId": "string",
  "releaseType": "HOTFIX",
  "rollbackDeploymentId": "string",
  "signedOff": true,
  "stackVersion": "string",
  "status": "SUCCEEDED",
  "tfVersion": "string",
  "timeTakenInSeconds": 0,
  "triggeredBy": "string",
  "validationResponses": [
    {
      "directory": "string",
      "errors": [
        {
          "blueprintErrorLines": [
            0
          ],
          "category": "Syntax Error",
          "message": "string",
          "overrideErrorLines": [
            0
          ],
          "severity": "ERROR"
        }
      ],
      "filename": "string",
      "resourceName": "string",
      "resourceType": "string"
    }
  ],
  "validationResult": {
    "errors": [
      {
        "directory": "string",
        "error": "string",
        "filename": "string",
        "syntaxError": true,
        "type": "Syntax Error"
      }
    ],
    "valid": true
  },
  "withRefresh": true
}
{
  "approvalUrl": "string",
  "code": "string",
  "errorCode": "string",
  "message": "string",
  "missingPermissions": [
    "string"
  ]
}
"string"
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}